# Git snapshot c29ca0269bdfd714751b0f2514bf3e819e47cb70

%define major	0
%define libname	%mklibname ring %{major}
%define devname	%mklibname ring -d

Name:		ring-daemon
Version:	2.2.0
Release:	%mkrel 6
Summary:	Mirror of Gerrit Ring Core Library and Daemon
Group:		System/Libraries
License:	GPLv3+
Url:		http://ring.cx/
Source:		https://github.com/savoirfairelinux/ring-daemon/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		ring-daemon-2.2.0-fix-build.patch
ExcludeArch:	armv5tl
BuildRequires:	boost-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	gsm-devel
BuildRequires:	restbed-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(cryptopp)
BuildRequires:	pkgconfig(dbus-c++-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(libilbc)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libpjproject)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(msgpack)
BuildRequires:	pkgconfig(opendht)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(yaml-cpp)
BuildRequires:	pkgconfig(zlib)

%description
Mirror of Gerrit Ring Core Library and Daemon.
Client communication library for ring.cx (formerly known as SFLphone).

Ring is a Voice-over-IP software phone. We want it to be:
- user friendly (fast, sleek, easy to learn interface)
- professional grade (transfers, holds, optimal audio quality)
- fully compatible with Asterisk (SIP and IAX protocols)
- de-centralized call (P2P-DHT)
- customizable

As the SIP/audio daemon and the user interface are separate processes,
it is easy to provide different user interfaces. Ring comes with various
graphical user interfaces and even scripts to control the daemon from
the shell.

#------------------------------------------------

%package -n	%{libname}
Summary:	Mirror of Gerrit Ring Core Library and Daemon
Group:		System/Libraries

%description -n	%{libname}
Mirror of Gerrit Ring Core Library and Daemon.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} >= %{version}-%{release}
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
	--enable-vaapi \
	--enable-ipv6

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_datadir}/ring/
%{_libdir}/ring/
%{_datadir}/dbus-1/interfaces/cx.ring.Ring.*.xml
%{_datadir}/dbus-1/services/cx.ring.Ring.service
%{_mandir}/man1/dring.1.*

%files -n %{libname}
%{_libdir}/libring.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/dring/
%{_libdir}/libring.so


%changelog
* Tue May 02 2017 akien <akien> 2.2.0-6.mga6
+ Revision: 1098319
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 daviddavid <daviddavid> 2.2.0-5.mga6
+ Revision: 1091142
- enable VAAPI hardware acceleration as ffmpeg 3 is now available

* Wed Mar 08 2017 akien <akien> 2.2.0-4.mga6
+ Revision: 1090255
- Rebuild for ffmpeg 3.2.4

* Tue Jan 03 2017 daviddavid <daviddavid> 2.2.0-3.mga6
+ Revision: 1079864
- rebuild against fixed restbed

* Mon Jan 02 2017 daviddavid <daviddavid> 2.2.0-2.mga6
+ Revision: 1079678
- do not build on armv5tl

* Mon Jan 02 2017 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1079641
- initial package ring-daemon

